"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createFormatTransform = void 0;
const path_1 = __importDefault(require("path"));
const through2_1 = __importDefault(require("through2"));
const prettier_1 = __importDefault(require("prettier"));
const organizeImportsPlugin = __importStar(require("prettier-plugin-organize-imports"));
/**
 * Prettier formatting transform stream for .ts and .tsx files
 */
function createFormatTransform() {
    return through2_1.default.obj(formatTransform);
}
exports.createFormatTransform = createFormatTransform;
async function formatTransform(file, _enc, callback) {
    if (isTsTsxFile(file) && !isFileExcludedFromFormatting(file.path)) {
        const content = Buffer.from(file.contents).toString('utf8')
            // remove ejs formatting spaces before 'import' line
            .replace(/^\s*import /gm, 'import ')
            // remove ejs empty lines between imports
            .replace(/^\s*[\r\n]import /gm, 'import ');
        const formattedContent = await prettier_1.default.format(content, {
            parser: "typescript",
            printWidth: 100,
            trailingComma: "es5",
            plugins: [organizeImportsPlugin]
        });
        file.contents = Buffer.from(formattedContent);
        // @ts-ignore
        this.push(file);
    }
    return callback();
}
function isTsTsxFile(file) {
    return (file.path.endsWith('.ts') || file.path.endsWith('.tsx')) && file.contents != null;
}
function isFileExcludedFromFormatting(filePath) {
    const devDir = path_1.default.join('src', 'dev');
    // Prettier formatting breaks React Buddy templates
    return (filePath.endsWith('Template.tsx') || filePath.endsWith('palette.tsx')) && filePath.includes(devDir);
}
//# sourceMappingURL=createFormatTransform.js.map