"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const generatorPaths_1 = require("./generatorPaths");
const chai_1 = require("chai");
const path_1 = __importDefault(require("path"));
describe("generatorPaths", function () {
    it("should derive screen paths", function () {
        const dest = "/root/src/app/screens/pet";
        const relDirShift = "../../../";
        // screen path separator is OS-dependent, so we need to use `path.sep` in expected
        const separator = path_1.default.sep;
        const res = (0, generatorPaths_1.deriveScreenPaths)(dest, relDirShift);
        (0, chai_1.expect)(res.srcPath).to.equal(`${separator}root${separator}src${separator}`);
        (0, chai_1.expect)(res.relativeDestPath).to.equal(`app${separator}screens${separator}pet`);
    });
});
//# sourceMappingURL=generatorPaths.test.js.map