"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeI18nMessagesWithLocaleFile = void 0;
const fs = __importStar(require("fs/promises"));
const path = __importStar(require("path"));
const mergeI18nMessagesWithLocaleFileContent_1 = require("./mergeI18nMessagesWithLocaleFileContent");
/**
 * Find locale file by localeName in file system of generated app
 * then find variable with localeMessages by localeName
 * then merge (add if message with such key not exist) default i18n messages
 * with existing messages to locale file in file system
 *
 * @param localeMessagesPath - path of i18n messages dir
 * @param localeName - using to get locale file in i18n messages dir and find variable with locale messages inside
 * @param defaultI18nMessages - set of default messages of entity, or other item
 * this messages has low priority in merge, and will be added in result set only if there is no
 * messages with such keys in locale file
 */
async function mergeI18nMessagesWithLocaleFile(localeMessagesPath, localeName, defaultI18nMessages) {
    const localePath = path.join(localeMessagesPath, `${localeName}.ts`);
    const localeFile = await fs.readFile(localePath, "utf-8")
        .catch(() => {
        throw new Error(`File with '${localeName}' locale not found in '${localeMessagesPath}' dir`);
    });
    const localeFileContent = (0, mergeI18nMessagesWithLocaleFileContent_1.mergeI18nMessagesWithLocaleFileContent)(localeFile, "messages", defaultI18nMessages);
    await fs.writeFile(localePath, localeFileContent, "utf-8");
}
exports.mergeI18nMessagesWithLocaleFile = mergeI18nMessagesWithLocaleFile;
//# sourceMappingURL=mergeI18nMessagesWithLocaleFile.js.map